Bug 331930 - Digital clock doesn't pick up time format from systemsettings
Summary: Digital clock doesn't pick up time format from systemsettings
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Digital Clock (show other bugs)
Version: master
Platform: unspecified Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-09 23:00 UTC by Sebastian Kügler
Modified: 2014-05-15 14:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Kügler 2014-03-09 23:00:09 UTC
Changing the time in systemsettings to HH:MM:SS (so without AM/PM) under en_US locale doesn't affect the clock, not even after a restart.

This could be caused by the systemsettings module not writing correctly to QLocale, so a porting problem.

Reproducible: Always

Steps to Reproduce:
1. start with locale=C or en_US
2. change time to HH:MM:SS in Locale / Time & Date systemsettings module
3. observe plasma's clock not changing
Actual Results:  
Clock still has AM/PM attached to the time, so shows 11:58 PM

Expected Results:  
Clock should show 11:58
Comment 1 Martin Klapetek 2014-03-10 08:57:49 UTC
Quoting from John Layt's email[1]:

"In KF5 we have switched to QLocale to remove the heavy dependency for KF5
users and to better integrate with Qt apps and the host workspace.  I've been
working on bringing QLocale up to scratch, but it doesn't yet have the ability
to load and use the custom KDE settings when running under Plasma Next, it
will only use the standard POSIX envvars.  This means that any changes made in
the existing Locale KCM will be applied to KDE4 apps only, not KF5 apps that
have removed the kde4support version of KLocale.

...

For the new Locale KCM we will need to remove the separate Numbers, Money,
Calendar, Date & Time and Other tabs for now."

In other words, no custom config just yet, we need to wait for/do this in QLocale first, then build new KCM on top of it.


[1] - http://mail.kde.org/pipermail/plasma-devel/2014-February/028747.html
Comment 2 Sebastian Kügler 2014-05-06 10:38:09 UTC
Git commit 6c7ffdf8594d4538b51718ff974f8b928539c99e by Sebastian Kügler.
Committed on 06/05/2014 at 02:11.
Pushed by sebas into branch 'sebas/locale'.

Bare-bones new Formats KCM

This forms a stab at the the new Locale settings, which need to be
transplanted to QLocale. Currently, this means much coarser setting,
that is no specific settings for the individual items, just a country
setting. From there, we can add back more fine-grained settings,
transplanted from the locale KCM.

Primarily, this makes language settings available to startkde, so the
LC_* variables can be exported.

This is currently non-functional, just a bare-bones KCM, loading a basic
UI file.

Run "kcmshell5 formats" to test.

M  +1    -0    kcms/CMakeLists.txt
A  +21   -0    kcms/formats/CMakeLists.txt
A  +5    -0    kcms/formats/Messages.sh
A  +19   -0    kcms/formats/formats.desktop
A  +56   -0    kcms/formats/kcmformats.cpp     [License: GPL (v2+)]
A  +19   -0    kcms/formats/kcmformats.desktop
A  +40   -0    kcms/formats/kcmformats.h     [License: GPL (v2+)]
A  +101  -0    kcms/formats/kcmformats.ui
A  +101  -0    kcms/formats/kcmformatswidget.ui

http://commits.kde.org/plasma-desktop/6c7ffdf8594d4538b51718ff974f8b928539c99e
Comment 3 Sebastian Kügler 2014-05-15 14:38:44 UTC
Git commit 255bcdbf71abd0d53f7d7b3fce3e65ea340d6caa by Sebastian Kügler.
Committed on 15/05/2014 at 14:34.
Pushed by sebas into branch 'master'.

Locale KCM is replaced by Formats KCM
REVIEW:118063

M  +0    -1    kcms/CMakeLists.txt
M  +5    -5    kcms/formats/kcmformats.cpp
D  +0    -2    kcms/locale/AUTHORS
D  +0    -27   kcms/locale/CMakeLists.txt
D  +0    -3    kcms/locale/Messages.sh
D  +0    -366  kcms/locale/countryselectordialog.cpp
D  +0    -37   kcms/locale/countryselectordialog.h
D  +0    -3468 kcms/locale/kcmlocale.cpp
D  +0    -483  kcms/locale/kcmlocale.h
D  +0    -1748 kcms/locale/kcmlocalewidget.ui
D  +0    -246  kcms/locale/language.desktop
D  +0    -6    kcms/locale/pics/CMakeLists.txt
D  +-    --    kcms/locale/pics/background.png

http://commits.kde.org/plasma-desktop/255bcdbf71abd0d53f7d7b3fce3e65ea340d6caa